import {Component, OnInit} from '@angular/core';
import {
    AbstractControl, Form,
    FormBuilder,
    FormControl,
    FormGroup,
    Validators
} from '@angular/forms';

@Component({
    selector: 'smart-user',
    templateUrl: './user.component.html',
    styles: []
})
export class UserComponent implements OnInit {

    title = '新增用户';
    isVisible = false;
    validateForm:FormGroup;

    constructor(private fb:FormBuilder) {
    }

    ngOnInit() :void{
        this.validateForm = this.fb.group({
            name:[null,[Validators.required,Validators.maxLength(10)]],
            loginName:[null,[Validators.required,Validators.maxLength(10)]],
            gender:[null,[Validators.required]],
            email:[null,[Validators.email]],
            orgId:[null,[Validators.required]],
            status:[null,[Validators.required]],
        })
    }

    showModal(){
        this.isVisible = true;
    }

    handleCancel(){
        this.isVisible = false;
    }

    handleOk(){
        this.isVisible = true;
        for(const i in this.validateForm.controls){
            this.validateForm.controls[i].markAsDirty();
            this.validateForm.controls[i].updateValueAndValidity();
        }
    }
}
